gromacs (2023.1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Force use of gcc-11 on ppc64el to work around failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Jun 2023 00:18:52 -0700

gromacs (2023.1-2) unstable; urgency=medium

  * Upload to unstable, after the bookworm release.
  * Remove kfreebsd-amd64 from supported architectures.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 13 Jun 2023 17:26:57 -0700

gromacs (2023.1-1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 22 Apr 2023 15:31:04 -0700

gromacs (2022.5-2ubuntu1) lunar; urgency=medium

  * Force use of gcc-11 on ppc64el to work around failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Mar 2023 18:13:05 +0000

gromacs (2022.5-2) unstable; urgency=medium

  * Move /usr/share/gromacs/cmake/* to /usr/share/cmake.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 15 Feb 2023 22:01:51 -0800

gromacs (2023-1) experimental; urgency=medium

  * New upstream release - upload to experimental during freeze.
    - SONAME bump: libgromacs7 -> libgromacs8.
    - Drop python3-collections-iterable.patch (incorporated upstream),
      refresh other patches.
    - Add muparser-older-version.patch to relax minimum version of muparser
      to the version currently in sid.  No significiant change in
      functionality.
    - Remove B-D on libx11-dev - last GUI program dropped.
    - Add B-D-I on additional Sphinx subpackages and furo, for manual build.
    - Update debian/copyright.
  * debian/rules: Re-enable tests on riscv64.
  * debian/rules: Drop ia64 CFLAGS workaround.
  * debian/control: Update Standards-Version to 4.6.2, no changes required.
  * debian/watch: minor updates.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 09 Feb 2023 20:25:32 -0800

gromacs (2022.5-1) unstable; urgency=medium

  * New upstream release.
  * Restore muparser patch - otherwise depends on version not yet
    packaged.
  * Update Standards-Version to 4.6.2, no changes required.
  * debian/copyright: Update years.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 04 Feb 2023 10:00:05 -0800

gromacs (2022.4-2) unstable; urgency=medium

  * Update Depends: for libgromacs-dev from fftw3-dev to libfftw3-dev.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 30 Nov 2022 21:02:26 -0800

gromacs (2022.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 17 Nov 2022 21:25:29 -0800

gromacs (2022.3-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 02 Sep 2022 17:59:14 -0700

gromacs (2022.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 18 Jun 2022 08:56:59 -0700

gromacs (2022.1-3) unstable; urgency=medium

  * debian/rules: Tidy up file installation.
  * Update Standards-Version to 4.6.1, no changes needed.
  * Additionally restrict autopkgtests to 64-bit architectures only.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 14 Jun 2022 12:30:32 -0700

gromacs (2022.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Reduce optimization level on ia64 to -O2.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 16 May 2022 19:23:41 -0700

gromacs (2022.1-1) experimental; urgency=medium

  * New upstream release.
  * Restore mdrun-test-timeout.patch, to handle slow double-precision
    tests on sparc64.
  * muparser 2.3.3 now in unstable.  Build-Depend on >= 2.3 and remove
    muparser-version.patch.
  * python3-collections-iterable.patch: Replace calls to removed
    collections.Iterable with collections.abc.  (Closes: #1009383)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 22 Apr 2022 18:22:17 -0700

gromacs (2022-1) experimental; urgency=medium

  * New upstream release.  Upload to experimental for NEW processing.
    - Support dropped upstream for 32-bit architectures.  Architecture
      list restricted to 64-bit ports only.  Drop test workarounds for
      removed architectures.
    - libnblib permanently renamed to libnblib_gmx; update package names.
  * Update copyright years and subcomponents.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 26 Feb 2022 16:36:28 -0800

gromacs (2022~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop hppa-disable-ewaldunittest.patch.
  * Set build tests on armel and armhf to non-failing - numerous problems
    introduced recently that also appear to be external toolchain issues.
  * Add Recommends: mpi-default-bin to gromacs package.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 29 Jan 2022 10:08:31 -0800

gromacs (2022~beta2-2) experimental; urgency=medium

  * Update autopkgtest script for MPI syntax.
  * disable-gmxtimingtests.patch: Disable GmxTimingTests on mipsel,
    mips64el, and armhf, to avoid a segfault bug in GTest.  The underlying
    bug appears to be a toolchain issue, not in GROMACS proper.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 09 Jan 2022 12:52:25 -0800

gromacs (2022~beta2-1) experimental; urgency=medium

  * New upstream beta release.
    - gmx_x11.patch: Drop, applied upstream.
    - muparser-version.patch: Drop external detection portion, applied
      upstream.
    - i386-disable-specific-tests.patch: Add test bypass for
      LinearChainDataFixture.Multithreading, which appears to be in the
      same category of i386-specific FP precision issues.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 07 Dec 2021 19:29:05 -0800

gromacs (2022~beta1-1) experimental; urgency=medium

  * New upstream beta release.  Upload to experimental.
   - SONAME bump: libgromacs6 -> libgromacs7.
   - Rebase patches; remove gammadistribution-test.patch, incorporated
     upstream.
   - Add new Build-Depends: libmuparser-dev, pkg-config.
   - Set Vcs-Svn to point at "debian-experimental" branch.
  * mdrun-only binaries are no longer supported in v2022.  Merge MPI enabled
    versions of gmx back into the main gromacs package, and eliminate the
    gromacs-mpi package.
  * Update copyright.
  * Apply upstream merge 2232 as gmx_x11.patch, to fix build of X11 tools.
  * muparser-version.patch: Temporarily downgrade muParser version
    requirement from 2.3 to 2.2, as 2.3 is not yet in the archive.  Also
    apply upstream merge 2225 for proper detection of external libmuparser.
  * Re-enable MPI tests on x32.
  * Update README.Debian with the new package layout, and more details about
    the GPU-accelerated local build option.
  * hurd-i386: Set GMX_USE_RDTSCP=OFF.
  * Various cleanups in debian/rules.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 26 Nov 2021 16:24:15 -0800

gromacs (2021.4-2) unstable; urgency=medium

  * Cherry-pick upstream merge request 2172, widening tolerance for one
    build-time test (GammaDistributionTest.Output) that fails on a few
    architectures.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 08 Nov 2021 18:00:11 -0800

gromacs (2021.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 06 Nov 2021 16:33:33 -0700

gromacs (2021.3-4) unstable; urgency=medium

  * Add Build-Depends-Indep: tex-gyre.  (Closes: #997067)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 23 Oct 2021 11:18:36 -0700

gromacs (2021.3-3) unstable; urgency=medium

  * With GCC 10.3 in testing for all release architectures, drop the GCC 9
    workaround for mipsel and mips64el. (Closes: #994290)
  * gromacs-data.lintian-overrides: Drop override for spare-manual-page;
    lintian now recognizes subcommands.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 18 Sep 2021 08:17:59 -0700

gromacs (2021.3-2) unstable; urgency=medium

  * Switch to GCC 9 for mips*el, as GCC 11 is not yet available, and
    10.2.1-6 still breaks the build.
  * Add HPPA to the architectures in disable-cpuinfotest.patch.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 20 Aug 2021 13:02:03 -0700

gromacs (2021.3-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable again, after bullseye release.
  * Disable NEON SIMD on armhf - removed upstream.
  * Remove long-obsolete gromacs-data Conflicts: on gromacs-doc.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 19 Aug 2021 19:27:37 -0700

gromacs (2021.2-1) experimental; urgency=medium

  * New upstream release.
    - Includes fixes to gcc-11 build.  (Closes: #984161)
  * Condense from two MPI packages (gromacs-mpich, gromacs-openmpi) to one
    (gromacs-mpi), following src:mpi-defaults.
  * For building the manual, replace ImageMagick with GraphicsMagick, as the
    former now has a security policy blocking conversion from PDF.
  * Switch GCC version from 9 to 11.
  * Restore disable-cpuinfotest.patch - still FTBFSes on a few architectures,
    update to disable test only on them specifically (mips*, sparc64, alpha).
  * Add four more i386-specific test bypasses, and rename enclosing patch
    from i386-disable-waterpol-test to i386-disable-specific-tests.
  * Do not compile tests on RISC-V - compiling the tests themselves is what
    fails, but for what appears to be a tricky GCC ICE on the embedded version
    of libtinyxml2.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 19 Jun 2021 10:28:22 -0700

gromacs (2021.1-1) experimental; urgency=medium

  * New upstream release.
  * Import bash-completions fix from 2020 branch.
  * Re-enable all tests on armhf.
  * hppa only: disable PmeSolveTest from EwaldUnitTests, which appears to
    fail on an architecture-specific lack of FP precision exceeding limits.
  * Drop old workarounds arm64-disable-numa-test.patch and disable-
    cpuinfotest.patch, which seem to be solved by newer hwloc versions.
  * d/upstream/metadata: Add Bug-Database and Repository-Browse URLs.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Apr 2021 11:39:41 -0700

gromacs (2021-2) experimental; urgency=medium

  * Temporarily switch to gcc-9 for the non-MPI builds, to work around an
    ICE bug in gcc-10 10.2.1-6.  A compatible version of gcc-10 is already
    pending in experimental.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 28 Feb 2021 12:04:24 -0800

gromacs (2021-1) experimental; urgency=medium

  * New major upstream release, remaining in experimental during freeze.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 30 Jan 2021 10:45:36 -0800

gromacs (2021~rc1-2) experimental; urgency=medium

  * Remove MPICH workaround from beta3-2, and update Build-Depends to
    mpich (>= 3.4-5); this also avoids a FTBFS with 3.4-4.
  * d/patches/i386-disable-waterpol-test.patch: These specific tests fail
    on i386 (only!) with compiler optimization -O1 or higher; disable them
    for now.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 23 Jan 2021 11:11:25 -0800

gromacs (2021~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - Remove disable-mdrunfeptests.patch, fixed in this release.
  * d/watch: Switch from FTP to HTTPS.
  * d/rules: Update links and comments.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 30 Dec 2020 20:47:06 -0800

gromacs (2021~beta3-2) experimental; urgency=medium

  * Simplify build-time testing by removing double precision tests from
    the MPI targets, while maintaining them for the non-MPI version.
  * Additionally set MPICH tests to non-failing on i386, amd64, and armel
    to work around a multifaceted bad interaction between the new conova
    buildds, IPv6, AI_ADDRCONFIG, and MPICH versions through 3.3; see
    <https://lists.debian.org/debian-devel/2020/07/msg00070.html>.  This
    will be reverted once MPICH 3.4 is in sid.
  * Clean up unneeded *.md5/*.map files from doxygen output (directory
    structure is not compatible with dh_doxygen for this task).

 -- Nicholas Breen <nbreen@debian.org>  Sun, 06 Dec 2020 19:51:20 -0800

gromacs (2021~beta3-1) experimental; urgency=medium

  * New upstream beta release.
    - Remove 2021beta-*.patch, incorporated upstream.
  * Include upstream regression tests, and use them for newly-implemented
    autopkg tests.
  * Update Standards-Version to 4.5.1, no changes required.
  * Re-enable openmpi tests on x32 - corrected in a more recent OpenMPI
    release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 05 Dec 2020 14:44:45 -0800

gromacs (2021~beta2-2) experimental; urgency=medium

  * Split libnblib off into its own package.  (Closes: #973639)
  * Disable building of gmxapi for now - further packaging work needed
    to make it genuinely useful, with proper Python integration.
  * d/patches/2021beta-dynamic-linking.patch: Exchange fix in previous
    release for the proposed patch upstream.
  * d/patches/2021beta-x32-instructions.patch: A recent commit breaks on
    x32 systems.  Test for those systems and avoid.
  * Extend ARG_SLOW_TEST even further to 1920 seconds.
  * Enable hwloc support.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 15 Nov 2020 16:13:16 -0800

gromacs (2021~beta2-1) experimental; urgency=medium

  * New upstream beta release.
    - Remove versioning-for-nblib.patch, incorporated in this release.
    - libnblib SONAME corrected to 0.2.0.  (Closes: #973639)
  * Set GMX_PREFER_STATIC_LIBS=OFF to avoid statically linking zlib in
    the MPI targets.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 11 Nov 2020 16:29:01 -0800

gromacs (2021~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    - SONAME bump: libgromacs5 -> libgromacs6.
    - Rebase patches; remove disable-listed-forces-test.patch.
    - Update copyright and man pages.
    - Don't build nblib API yet.
  * Extend ARG_SLOW_TEST timeout from 480 to 960 seconds - occasionally
    times out on slower buildds.
  * debian/patches/disble-mdrunfeptests.patch: known problems in this release,
    under work upstream.
  * d/p/versioning-for-nblib.patch: apply versioning patch to libnblib.so.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 27 Oct 2020 21:53:16 -0700

gromacs (2020.6-2) unstable; urgency=medium

  * Append newlines when concatenating bash completions.
    (Closes: #985157)

 -- Nicholas Breen <nbreen@debian.org>  Sun, 28 Mar 2021 21:45:03 -0700

gromacs (2020.6-1) unstable; urgency=medium

  * New upstream release, minor bugfixes only.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 04 Mar 2021 08:32:41 -0800

gromacs (2020.5-4) unstable; urgency=medium

  * One more stab at handling s390x test failures: just set the mpich
    tests to non-failing for now - see #981342, #980943.
  * Re-enable those same tests for armhf.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 31 Jan 2021 16:03:07 -0800

gromacs (2020.5-3) unstable; urgency=medium

  * d/patches/mdrun-test-timeout.patch: Additionally extend ARG_SLOW_TEST
    timeout to 960 seconds.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 31 Jan 2021 09:05:58 -0800

gromacs (2020.5-2) unstable; urgency=medium

  * Set double-precision tests on i386 to non-failing.  The proper fix is
    already applied upstream in the 2021 branch, but hasn't yet been
    backported to 2020.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 30 Jan 2021 10:46:55 -0800

gromacs (2020.5-1) unstable; urgency=medium

  * New upstream release.
  * Import from 2021 packaging branch:
    - Use upstream regression tests for autopkgtests.
    - Update URLs in watch file.
    - Remove build-time tests for MPI + double precision variants.
    - Clean up unneeded *.md5/*.map files from doxygen output (directory
      structure not compatible with dh_doxygen).
  * Build-Depend on mpich (>= 3.4-5) to avoid FTBFS, see #980634.
  * Update Standards-Version to 4.5.1, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 23 Jan 2021 10:57:26 -0800

gromacs (2020.4-2) unstable; urgency=medium

  * debian/patches/disable-listed-forces-test.patch: Do exactly what the
    filename suggests.  These tests are unreliable and cause erratic
    FTBFSes; this workaround is temporary only until an upstream rewrite
    is complete.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 21 Oct 2020 18:42:01 -0700

gromacs (2020.4-1) unstable; urgency=medium

  * New upstream release.
  * Update the changed names of lintian spelling tags.
  * Increment debhelper compat level to 13.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 07 Oct 2020 14:01:15 -0700

gromacs (2020.3-1) unstable; urgency=medium

  * New upstream release.
  * Update the *comments* in several lintian overrides, there to explain
    a false positive on spelling-error-in-binary, but now generating a
    false positive of their own through spelling-in-override-comment.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 09 Jul 2020 20:25:34 -0700

gromacs (2020.2-2) unstable; urgency=medium

  * Disable VSX support on ppc64el - currently unsupported, see
    <http://redmine.gromacs.org/issues/3380>.
  * Bump baseline SIMD requirement on amd64 and x32 to SSE4.2.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 30 Apr 2020 17:22:36 -0700

gromacs (2020.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove explicit --as-needed linker flag, now toolchain default.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 30 Apr 2020 12:46:01 -0700

gromacs (2020.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/doxygen.patch, fixed upstream.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 07 Mar 2020 20:11:53 -0800

gromacs (2020-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/man/mdrun_mpi.*.1: Update from gmx-mdrun(1).
  * Install legacy API (GMX_INSTALL_LEGACY_API) from non-MPI builds, for
    compatibility with votca-csg requiring gromacs/version.h.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 20 Jan 2020 18:44:53 -0800

gromacs (2020-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/doxygen.patch: Update with a workaround for a build
    failure using doxygen >= 1.8.16.
  * Set GMX_VERSION_STRING_OF_FORK to a combination of the distro name
    (Debian, Ubuntu, ...) and package version number. Add Build-Depends
    on lsb-release for the tools providing the distro information.
  * debian/copyright: Update.
  * debian/gromacs-data.lintian-overrides: Add override for false
    positives on "manpage-without-executable" tag.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 05 Jan 2020 11:51:57 -0800

gromacs (2020~beta3-1) experimental; urgency=medium

  * New upstream beta release.
  * Remove last four patches, incorporated upstream.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 03 Dec 2019 20:01:45 -0800

gromacs (2020~beta2-2) experimental; urgency=medium

  * Additional patch relax-bd-test-tolerances.patch for amd64 test
    failures. <https://gerrit.gromacs.org/c/gromacs/+/14479>

 -- Nicholas Breen <nbreen@debian.org>  Thu, 28 Nov 2019 14:19:39 -0800

gromacs (2020~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * Add patches from <http://redmine.gromacs.org/issues/3205>:
    - hwloc-cache-size-detection.patch from revision c5a01a73
    - relax-listed-forces-test-tolerances.patch from
      <https://gerrit.gromacs.org/c/gromacs/+/14319>
    - updated-physical-constants.patch from revision 536052b4

 -- Nicholas Breen <nbreen@debian.org>  Sat, 23 Nov 2019 11:56:52 -0800

gromacs (2020~beta1-2) experimental; urgency=medium

  * debian/patches/series: Re-enable disable-cpuinfotest.patch, as it's
    still relebant on arm64/mips* (possibly others).

 -- Nicholas Breen <nbreen@debian.org>  Wed, 16 Oct 2019 18:05:33 -0700

gromacs (2020~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    - SONAME bump: libgromacs4 -> libgromacs5.
  * debian/control: Update B-D-Indep from python-sphinx (scheduled for
    removal soon) to python3-sphinx.
  * debian/rules: Add SIMD support for x32.
  * debian/patches/series: Remove disable-cpuinfotest.patch as a test
    to see if the problem is now solved on less-common architectures.
  * debian/copyright: Update.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 14 Oct 2019 18:56:44 -0700

gromacs (2019.4-1) unstable; urgency=medium

  [ Steffen Möller ]
  * debian/upstream/metadata: Added ref to conda.

  [ Nicholas Breen ]
  * New upstream release.
  * debian/control: Remove Breaks/Conflicts/Replaces older than oldstable.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 02 Oct 2019 13:31:30 -0700

gromacs (2019.3-2) unstable; urgency=medium

  * debian/patches/arm64-disable-numa-test.patch: On *some* arm64 boards,
    hwloc (1.x) reports zero NUMA cache sizes, causing a test failure.
    This disables that test on arm64 only.
    Upstream: <https://redmine.gromacs.org/issues/2366>
  * debian/patches/mpi-tests-localhost.patch: Run MPICH tests on "localhost"
    so that they pass in certain network-restricted environments, such as
    pbuilder with USENETWORK=NO set.  (buildd always worked fine.)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 12 Jul 2019 18:57:43 -0700

gromacs (2019.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat version to 12 and Standards-Version to 4.4.0.
  * debian/rules: Add dh_strip_nondeterminism and dh_dwz calls.  Remove
    CMAKE_SKIP_RPATH workaround, no longer needed.
  * debian/copyright: Housekeeping update.
  * debian/*.lintian-overrides: Permit CONECT spelling, from the PDB file
    format.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 09 Jul 2019 21:09:26 -0700

gromacs (2019.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * On x32 only, set openmpi tests to non-failing.  They pass, but as of
    openmpi >= 3.1.3~rc1, timeout on teardown.  3.1.2 works cleanly.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 17 Feb 2019 09:22:14 -0800

gromacs (2019-2) unstable; urgency=medium

  * Fix error in update-alternatives call for bash completion.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 01 Feb 2019 21:26:58 -0800

gromacs (2019-1) unstable; urgency=medium

  * New upstream final release - return uploads to unstable.
  * Install bash completion files.  Add completion files for the MPI
    variants to the update-alternatives group.
  * Remove unused GMXRC* files and the /usr/share/gromacs/shell-specific
    directory, as they are unneeded with binaries in the standard locations.
  * Bump Standards-Version to 4.3.0, no changes required.
  * Drop B-D on libtinyxml-dev, as a specific version of libtinyxml2 is
    used instead only for testing, not in shipped binaries.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 01 Jan 2019 20:03:55 -0800

gromacs (2019~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Set debhelper compat 11.
  * Re-enable several previously disabled OpenMPI tests that now work again,
    but set hurd-i386 tests to non-fatal as their failures all seem to be
    from outside sources.
  * control: Point Vcs-Git URL at debian-experimental branch specifically.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 16 Dec 2018 09:56:11 -0800

gromacs (2019~beta3-1) experimental; urgency=medium

  * New upstream beta release.
  * Move libgromacs3.lintian-overrides to libgromacs4.lintian-overrides.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 25 Nov 2018 09:17:37 -0800

gromacs (2018.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 21 Nov 2018 16:01:14 -0800

gromacs (2019~beta2-1) experimental; urgency=medium

  * New upstream beta release, upload to experimental.
    - patches/reproducible-builds.patch and sphinx-version-detect.patch
      removed, equivalent functionality integrated upstream.
    - Other patches rebased.
  * Rename libgromacs3 to libgromacs4 for SONAME increment.
  * CMAKE_SKIP_RPATH causes build failures at the moment, so replace it with
    chrpath after the build.
  * Depend on, and build documentation against, local copy of libjs-mathjax.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 08 Nov 2018 22:06:20 -0800

gromacs (2018.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 23 Aug 2018 08:55:48 -0700

gromacs (2018.2-2) unstable; urgency=medium

  * Disable tests on armhf for mpich build; it seems to have a sensitivity
    to where mpich itself was built.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 17 Jun 2018 16:43:08 -0700

gromacs (2018.2-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated RRID in debian/upstream/metadata.

  [ Nicholas Breen ]
  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 16 Jun 2018 10:24:50 -0700

gromacs (2018.1-4) unstable; urgency=medium

  * Additionally exclude MdrunUtilityMpiUnitTests on OpenMPI builds only,
    which fail erratically.
  * Set Rules-Requires-Root: no.
  * patches/sphinx-version-detect.patch: permit identification of newer
    versions of python-sphinx, which changed their --version output.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 28 Apr 2018 08:25:15 -0700

gromacs (2018.1-3) unstable; urgency=medium

  * Exchange patch from 2018.1-2 for a GTEST_FILTER exclusion in rules.
    (Closes: #896194)
  * Bump Standards-Version to 4.1.4.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 24 Apr 2018 20:01:16 -0700

gromacs (2018.1-2) unstable; urgency=medium

  * patches/openmpi-disable-gputest.patch: bypass one test on OpenMPI builds
    only, ChangingPinningPolicyRequiresCuda hangs and times out.
    (Closes: #896194)

 -- Nicholas Breen <nbreen@debian.org>  Sun, 22 Apr 2018 14:34:48 -0700

gromacs (2018.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove gtest-death-test.patch, incorporated upstream.
  * Moved VCS from alioth to salsa (thanks to Andreas Tille).

 -- Nicholas Breen <nbreen@debian.org>  Sat, 31 Mar 2018 10:12:46 -0700

gromacs (2018-2) unstable; urgency=medium

  * Extend gtest-death-test.patch to exclude x32.  This addresses #887340
    but is not a complete fix.  Thanks to Aaron Ucko for testing assistance.
  * Increase CTest verbosity level.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 20 Jan 2018 11:31:44 -0800

gromacs (2018-1) unstable; urgency=low

  * New upstream release.
    - Remove test_GMX_ALIGNED.patch, incorporated.
    - Update debian/man/*mdrun* man pages.
  * Bump Standards-Version to 4.1.3.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 10 Jan 2018 22:23:18 -0800

gromacs (2018~rc1-3) experimental; urgency=medium

  * patches/gtest-death-test.patch: disable EXPECT_DEATH tests if
    unavailable on that platform.
  * patches/mdrun-test-timeout.patch: increase timeout for integration test
    (using mdrun) from 120 to 600 seconds, to help prevent termination on
    slower buildds.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 03 Jan 2018 20:58:25 -0800

gromacs (2018~rc1-2) experimental; urgency=medium

  * Apply upstream patch <https://gerrit.gromacs.org/#/c/7395/> to address
    BasedefinitionsTest.GmxAlignedDeclaresAlignedVariable failures on non-
    Intel architectures.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 27 Dec 2017 12:56:20 -0800

gromacs (2018~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 26 Dec 2017 23:10:55 -0800

gromacs (2018~beta3-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version (beta2)
  * Moved packaging from SVN to Git

  [ Nicholas Breen ]
  * New upstream release (beta3).
  * Explicitly set MPIEXEC for the two different MPI implementations, to
    prevent mismatches via the alternatives system.  Also B-D on mpich,
    providing /usr/bin/mpiexec.mpich for tests.
  * Update Standards-Version to 4.1.2.
  * Remove obsolete zero byte file lintian overrides.
  * SONAME bump: rename libgromacs2 to libgromacs3.
  * Set GMX_EXTERNAL_ZLIB=ON to prevent it from opportunistically linking
    statically.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 24 Dec 2017 10:35:12 -0800

gromacs (2016.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.  Set Priority to optional.
  * Drop Multi-Arch: same for libgromacs-dev, it seems to have some per-arch
    conflicts from autogenerated files.
  * Depend on sse2-support [any-i386] | neon-support [armhf], for the minimum
    useful levels of SIMD support on those architectures.  Also enable NEON
    for arm64.
  * Set hardening options BINDNOW and PIE.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 17 Sep 2017 10:29:19 -0700

gromacs (2016.3-2) unstable; urgency=medium

  * Upload to unstable after the stretch release.
  * Remove the old gromacs-dev metapackage, now that it's passed one stable
    release with libgromacs-dev available.  Also remove some old Breaks:
    from well before oldstable.
  * Set Multi-Arch: foreign for gromacs-data, M-A: same for gromacs-dev and
    libgromacs2.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Jun 2017 13:32:39 -0700

gromacs (2016.3-1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 15 Mar 2017 21:18:12 -0700

gromacs (2016.2-1) experimental; urgency=medium

  * New upstream release.  Uploaded to experimental during freeze.
  * Remove dh_shlibdeps workaround introduced in 2016~rc1-3, which is fixed
    via the MPI implementations now.
  * Remove old .NOTPARALLEL restriction when building.
  * Use chrpath to remove RUNPATH on OpenMPI binaries -- see
    <https://github.com/open-mpi/ompi/issues/521>.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 08 Feb 2017 17:58:11 -0800

gromacs (2016.1-2) unstable; urgency=medium

  * Disable OpenMPI tests on hurd-i386/kfreebsd-*.  This appears related to
    <https://bugs.debian.org/839387>.
  * Move to debhelper compat version 10, requiring no changes.
  * Drop some obsolete lintian overrides, and add a pair for zero-length
    documentation files not yet shipped.
  * Update debian/copyright.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 30 Oct 2016 17:12:11 -0700

gromacs (2016.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Build without SIMD on ppc64.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 30 Oct 2016 08:44:09 -0700

gromacs (2016-3) unstable; urgency=medium

  * rules: Adjust SIMD detection logic to set GMX_SIMD=None by default, and
    enable it case-by-case only on those architectures where it's safe to
    do so.  (Closes: #834991)
  * Work around OpenMPI 2 test failures:  (Closes: #837061)
    - control: Add openmpi-bin to Build-Depends.
    - rules: Apply the OMPI_MCA_plm_rsh_agent workaround from #494046.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 08 Sep 2016 19:38:53 -0700

gromacs (2016-2) unstable; urgency=medium

  * Accept DEB_BUILD_OPTIONS=nocheck for the "build-openmpi" target, which
    was missing and causing m68k build failures.  (Closes: #834786)
  * patches/hurd-disable-numa-test.patch: On hurd-i386 only, this test fails
    for what seem to be detection limitations rather than an actual problem,
    so disable the test conditionally on that architecture.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 19 Aug 2016 08:52:08 +0200

gromacs (2016-1) unstable; urgency=low

  * New upstream release, upload to unstable.
    - Remove patches/gmxManageSimd.patch, incorporated upstream.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 09 Aug 2016 06:06:12 -0700

gromacs (2016~rc1-3) experimental; urgency=medium

  * Workaround for #831442: manually prepend /usr/lib/<TRIPLET> to search
    path for dh_shlibdeps -pgromacs-mpich.
  * Set SIMD extensions to VSX on ppc64el, already the minimum requirement
    for that architecture.  Disable SIMD on ppc64 due to lower CPU baseline
    requirements and the lack of double-precision support in basic VMX.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 16 Jul 2016 10:17:07 -0700

gromacs (2016~rc1-2) experimental; urgency=medium

  * OpenMPI now supported on all relevant architectures, so gromacs-openmpi
    changed to "Architecture: any" and arch-specific handling removed.
  * Revive part of the test patch from beta2-2 as disable-cpuinfotest.patch,
    as the issue is not fully resolved upstream.
  * For SSE settings, use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH.
  * patches/gmxManageSimd.patch: Correctly pass -msse2 to compiler flags.
    <http://redmine.gromacs.org/issues/2008>

 -- Nicholas Breen <nbreen@debian.org>  Fri, 15 Jul 2016 17:44:18 -0700

gromacs (2016~rc1-1) experimental; urgency=medium

  * First upstream release candidate.
    - Drop patches from beta2-2, incorporated or fixed upstream.
  * Switch from building with libxml2 to libtinyxml.
  * rules: Convert deprecated debhelper -s flags to -a.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 11 Jul 2016 18:28:25 -0700

gromacs (2016~beta2-2) experimental; urgency=medium

  * Two patches to address test suits failures:
    - numerically-unstable-gaussian-test.patch: Backport a fix from git
      master branch to address Gaussian test failures on all i386
      platforms.  (http://redmine.gromacs.org/issues/1986)
    - disable-hardware-topology-tests.patch: Two CPU info tests cause hard
      failures that should probably just be warnings, so disable those tests
      for now.  (http://redmine.gromacs.org/issues/1987)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 17 Jun 2016 06:40:18 -0700

gromacs (2016~beta2-1) experimental; urgency=low

  * Beta for major new upstream release.  New date-based versioning system.
    - SONAME bump: package rename, libgromacs1 -> libgromacs2
    - spelling and empty-man7-directory patches incorporated upstream.
    - Refresh other patches.
    - Versioned Depends: on python-sphinx (>= 1.4) for new imgmath
      extension.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 07 Jun 2016 14:20:10 -0700

gromacs (5.1.2-3) experimental; urgency=medium

  * Add LD_LIBRARY_PATH overrides to unit tests.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 21 Apr 2016 17:35:41 -0700

gromacs (5.1.2-2) experimental; urgency=medium

  * Run upstream unit tests.  Supports DEB_BUILD_OPTIONS=nocheck bypass.
  * Use rdfind/symlinks to reduce internal duplication in doxygen output.
  * Only build process changes in this upload - uploading to
    experimental as a safety.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 18 Apr 2016 21:04:31 -0700

gromacs (5.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Add hppa, s390x, x32 to list of architectures for gromacs-openmpi.
    In turn, increase required version of libopenmpi-dev to >= 1.10.2-7.
  * Add new patches/reproducible-builds.patch for... reproducible builds.
    This is preliminary work and may not be complete.
  * doxygen.patch: work around FTBFS with doxygen >= 1.8.11 (no problems
    with previous 1.8.9).  (Closes: #815678)
  * spelling.patch: Additional fixes.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 28 Feb 2016 13:31:21 -0800

gromacs (5.1.1-2) unstable; urgency=medium

  * Replace compiler calls to "mpic++" with "mpicxx".  MPICH >= 3.2 no
    longer ships mpic++ links.  (Closes: #808659)
  * Remove obsolete build dependency on libgsl0-dev.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 22 Dec 2015 17:18:40 -0800

gromacs (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 09 Nov 2015 17:24:02 -0800

gromacs (5.1-1) unstable; urgency=low

  * New upstream release.  This release completes the transition to "gmx"
    as the sole binary to replace all the former g_* commands, and the
    compatibility symlinks have been removed.  Standalone mdrun_mpi
    programs in gromacs-mpich and gromacs-openmpi are unaffected.
    - gmx anadock no longer crashes on invalid input.  (Closes: #715934)
  * Some package reshuffling: gromacs-dev becomes libgromacs-dev, and the
    shared library gets split out into libgromacs1.  (Closes: #797744)
    Upload priority set to "low" due to the unusually extensive restructure.
  * Remove gromacs-dev.preinst, only needed for upgrades from well before
    the version in squeeze.
  * Lots more documentation!  PDF manual is built once again, and doxygen
    output for developer use is included.  Several Build-Depends-Indep
    entries added to support this.
    - patches/manpage-hyphenation.patch removed, no longer needed.
    - mdrun_mpi.{mpich,openmpi}.1 updated.
  * debian/control: apply wrap-and-sort.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 01 Oct 2015 17:38:08 -0700

gromacs (5.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 26 Jul 2015 13:58:11 -0700

gromacs (5.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 16 May 2015 11:30:11 -0700

gromacs (5.0.4-2) unstable; urgency=medium

  * Post-Jessie upload to unstable, no other changes.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 27 Apr 2015 10:00:09 -0700

gromacs (5.0.4-1) experimental; urgency=medium

  * New upstream release.  Uploaded to experimental during the freeze.
    Minor patch rebasing only.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 21 Dec 2014 12:54:35 -0800

gromacs (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6, no changes required.
  * Update rules to build GPU-accelerated packages, with thanks to
    Steffen Möller.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 05 Oct 2014 10:29:34 -0700

gromacs (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches involving man pages (moved from share/man to doc/man in
    tarball), drop 20_random123_platforms.patch (incorporated upstream),
    and remove the leading numbers from all patch filenames (a leftover from
    dpatch).
  * man/mdrun_mpi.*: Update .TH line.
  * rules: Set CMAKE_RULE_MESSAGES=OFF to work around blhc false positives
    for "W-compiler-flags-hidden".
  * Move debian/upstream to debian/upstream/metadata.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 06 Sep 2014 11:20:17 -0700

gromacs (5.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 24 Aug 2014 20:02:24 -0700

gromacs (5.0-2) experimental; urgency=low

  * Add 20_random123_platforms.patch to disable architecture check from
    external Random123 code.
  * Drop discussion of shared libraries from README.Debian for
    gromacs-{mpich,openmpi}.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 02 Jul 2014 20:13:01 -0700

gromacs (5.0-1) experimental; urgency=low

  * New upstream release, experimental upload.
    - g_sigeps / gmx sigeps command line handling no longer crashes on
      invalid input (Closes: #715935).
  * Rebase existing patches.  Add new patches:
    - 31_manpage_hyphenation.patch: Some parts of the man page generation
      get the hyphen/dash separation right, some don't.  A temporary fix
      pending significant overhaul of the man page system.
      <http://redmine.gromacs.org/issues/1437>
    - 32_spelling.patch: Correction of minor spelling errors.
  * man/g_{dos,kinetics,luck}.1: Incorporated upstream, removed.
  * man/gmx.1: Rudimentary man page written and added.
  * man/mdrun_mpi.*.1: Updated with text from upstream gmx-mpich.1.
  * rules: Updates for MPI builds and assorted upstream changes.
  * gromacs-data.lintian-overrides, source/lintian-overrides: Removed.
  * Add Build-Depends on external libboost-dev.
  * Switch away from hardening-wrapper in favor of dpkg-buildflags.
  * Update copyright file.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 02 Jul 2014 17:35:18 -0700

gromacs (4.6.5-2) unstable; urgency=medium

  * Update list of OpenMPI architectures to include mips*, arm64.
  * patches/21_hurd.patch: Cherry-pick upstream commit 2c81d3ab to build
    shared libraries on GNU/Hurd.
  * watch: Extend regex to detect -beta, -pre, _pre, *and* -rc suffixes.
  * Remove chrpath workaround, no longer needed as of mpich 3.0.4-6.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 16 Jun 2014 18:48:37 -0700

gromacs (4.6.5-1) unstable; urgency=low

  * New upstream release.
  * rules: Override autodetection of CPU extensions on amd64 and i386;
    force to SSE2 only, and provide new DEB_BUILD_OPTIONS=cpuopt flag to
    re-enable autodetection for local builds.  (Closes: #725013)
  * rules: Fix misplaced COPYING symlink in gromacs-data.
  * source/lintian-overrides: Add overrides for outstanding lintian bugs
    #729096 (newer policy version), #724866 (libmpich-dev not virtual).
  * patches/20_manpages.patch: Fix formatting errors in the NAME line of
    several man pages.
  * gromacs-data.doc-base: Change root to getting_started.html.  The
    shipped HTML documentation is slowly being eliminated in favor of a
    wiki on gromacs.org.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 09 Dec 2013 10:40:36 -0800

gromacs (4.6.3-4) unstable; urgency=low

  * control: Add versioned Build-Depends on libmpich-dev (>= 3), to prevent
    build failures on architectures where that still represents the old
    MPICH version 1.
  * rules: More mpich2 -> mpich replacements.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 29 Sep 2013 21:39:46 -0700

gromacs (4.6.3-3) unstable; urgency=low

  * control:
    - Move Replaces/Breaks to MPI packages instead.  (Closes: #718001)
    - Move all mpich2 dependencies to new mpich (v3) package names.
  * control, rules:
    - Add ppc64 to list of supported architectures for gromacs-openmpi.
    - Temporarily add use of "chrpath -d" on gromacs-mpich binaries, due
      to mpicc.mpich setting RPATH unconditionally (see #724864).

 -- Nicholas Breen <nbreen@debian.org>  Sun, 29 Sep 2013 16:30:43 -0700

gromacs (4.6.3-2) unstable; urgency=low

  * control:
    - Add B-Ds for external BLAS/LAPACK libraries.
    - Have -dev Replaces/Breaks earlier versions of -openmpi/-mpich
      to handle file move.  (Closes: #718001)
    - For gromacs, remove Conflicts with a long-obsolete (before squeeze)
      version of radiance, and add Suggests on pymol for visualization.
  * rules: Specify verbose output from CMake.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 11 Aug 2013 13:05:19 -0700

gromacs (4.6.3-1) unstable; urgency=low

  * New upstream release; post-freeze, uploading to unstable.
  * rules, control: Remove special provisions for FORTRAN on Alpha.
  * rules: Update configuration parameters.
  * rules, patches/12_copyright-file.patch: Avoid duplication of copyright
    information into two files, but provide a link to keep both filenames.
  * control: Drop obsolete B-D on lesstif2-dev.  (Closes: #714753)
  * rules: Move .so symlinks for MPI libraries from -dev to their respective
    packages, to ensure that they can't be installed without their targets.
  * control: Update SCM links.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 05 Jul 2013 13:57:44 -0700

gromacs (4.6-1) experimental; urgency=low

  * New upstream release, targeted at experimental during freeze.
    - Remove patches/10_release-4-5-patches.patch (obsolete),
      31_manpages.patch (incorporated upstream).
    - Update lintian overrides.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 25 Feb 2013 10:47:14 -0800

gromacs (4.5.5-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - copied citations from tasks/bio to debian/upstream
     - make last citation conform to BibTeX syntax

  [ Nicholas Breen ]
  * Update to current release-4.5-patches git (f361fa9c) via addition of
    patches/10_release-4.5-patches.patch.
  * source/format: Move to 3.0 (quilt).  Adjust patches accordingly.
  * control: Remove specific listing of MPI packages from description of
    gromacs-dev.  (Closes: #644820)  Update maintainer address and drop
    DMUA stanza.  Drop Build-Depends on dpatch, add on hardening-wrapper.
    Update to S-V 3.9.3, no packaging changes required.
  * rules, README.source: Remove dpatch cruft.
  * rules: Apply compiler hardening flags with hardening-wrapper.
  * patches/*: Tidy up with DEP-3 headers.
  * control, rules: Update list of architectures for gromacs-openmpi,
    adding armel, armhf, powerpcspe, and sparc64.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 09 Jun 2012 11:42:56 -0700

gromacs (4.5.5-1) unstable; urgency=low

  * New upstream release.
    - Remove patches/30_git_release-4.5-patches.dpatch.
    - man/g_dos.1: Create man page for new binary.
  * rules: Add build-arch/build-indep targets.  Add preliminary support for
    building GPU-accelerated binaries: set DEB_BUILD_OPTIONS=gpu to try it.
  * patches/31_manpages.dpatch: Update.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 21 Sep 2011 19:10:08 -0700

gromacs (4.5.4-2) unstable; urgency=low

  * control: remove obsolete Build-Depends and Suggests on libice-dev,
    libsm-dev, libxext-dev, libxp-dev, libxt-dev.  Update Standards-Version
    to 3.9.2.
  * patches/30_git_release-4.5-patches.dpatch: Routine update from upstream
    git, to commit 873563ef of 22 April 2011.
  * patches/31_manpages.dpatch: Various minor spelling and header fixes.
  * lintian-overrides.gromacs: Remove checks no longer needed, per #120323.
  * rules: Switch to using dh_lintian.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 25 Apr 2011 13:47:00 -0700

gromacs (4.5.4-1) unstable; urgency=low

  * New upstream release.
  * Remove gromacs-lam transitional package.
  * man/g_options.1: Create man page for new binary.
  * lintian-overrides.gromacs-data: Override script-not-executable for demo
    scripts not in $PATH.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 21 Mar 2011 19:59:54 -0700

gromacs (4.5.3-1) unstable; urgency=low

  * New upstream release.
  * Force -DGMX_X11=ON to build ngmx.  (Closes: #603327)

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 13 Nov 2010 12:02:17 -0800

gromacs (4.5.2-1) unstable; urgency=low

  * Major new upstream release.
  * All patches incorporated upstream and removed, except the Debian-
    specific bug reporting portion of 11_readme.dpatch.
  * man/gromacs.7: incorporated upstream, removed from Debian patch.
  * man/luck.1: Rename to g_luck.1 and edit to reflect new name.
  * man/mdrun_mpi.*.1: Resynchronize with upstream mdrun.1.
  * watch: Update to recognize -betaX tarballs and ignore -GPU builds.
  * rules: Convert from autotools to new CMake build system.
  * control:
    - Add Build-Depends on libxml2-dev.
    - Update Standards-Version to 3.9.1.
    - Replace Conflicts: with Breaks:.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 03 Nov 2010 17:39:52 -0700

gromacs (4.0.7-3) unstable; urgency=low

  * New patch 03_autoconf_bashisms.dpatch: Eliminate two bashisms (test ==
    instead of =) in configure.ac, permitting use with dash instead.
  * patches/30_git_release-4.0-patches.dpatch: Update to commit
    36df279783944c11d1ba43936ea820f8e6003ffd.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 25 May 2010 19:30:48 -0700

gromacs (4.0.7-2) unstable; urgency=low

  * rules:
    - Drop chrpath workaround, underlying bug solved with mpich2
      1.2.1.1-2.
    - Add sparc to list of architectures for -openmpi.
  * control:
    - Per above.
    - Set DM-Upload-Allowed: yes.
    - Update Standards-Version to 3.8.4.
    - Add ${misc:Depends} for Lintian, except for -data and -lam which
      receive overrides instead.
  * gromacs-parallel.README.Debian.in: Remove reference to LAM-MPI.
  * patches/30_git_release-4.0-patches.dpatch: Update to commit
    444432a51f87f003fc6e7098f9e07a2a2d142c64.
  * source/format: Create and set explicitly to 1.0.
  * source/lintian-overrides: Override debhelper-but-no-misc-depends for
    gromacs-data and gromacs-lam.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 13 Apr 2010 23:33:27 -0700

gromacs (4.0.7-1) unstable; urgency=low

  * New upstream release.
  * patches/30_git_release-4.0-patches.dpatch: Empty out, replace with
    fresh pull starting at the 4.0.7 release; current to git commit
    665dce86638df8ac1062b0b022d7827ea0f11788.

 -- Nicholas Breen <nbreen@ofb.net>  Thu, 31 Dec 2009 16:43:03 -0800

gromacs (4.0.5-5) unstable; urgency=low

  * Transition to only the two supported MPI implementations:
    - gromacs-mpich now builds against MPICH2, not MPICH1.
    - gromacs-lam replaced with a dummy package installing gromacs-
      openmpi on all supported architectures, -mpich on the holdouts.
    - Update documentation accordingly.
  * patches/30_git_release-4.0-patches.dpatch: Pull from upstream git
    repository, release-4.0-patches branch.  Current to git commit
    37a4dd35fec7579ca7faca25c62c71cf1d8e1621, 29 Nov. 2009.
  * patches/21_makefile_dups.dpatch: Delete, incorporated above
    (commit c93db8511af09c144fe4b2b8f57b14a5ad1e6cc7).
  * compat: Update to debhelper v7 mode.
    - rules: Replace dh_clean -k with dh_prep.
    - control: Adjust Build-Depends to debhelper (>= 7.0.0).
  * copyright: Increment year.
  * rules: Use chrpath to eliminate RPATH from MPICH2-compiled binaries.
    This is a workaround for a libmpich2-dev bug, #558960.
    - control: Add chrpath to Build-Depends.
  * rules: Add -Wl,--as-needed to LDFLAGS.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 30 Nov 2009 16:18:34 -0800

gromacs (4.0.5-4) unstable; urgency=low

  * patches/21_makefile_dups.dpatch: Eliminate duplicated files in the
    installation list of include/Makefile.am.  Automake 1.11 now passes
    multiple files to `install' at once, causing failures when one name
    is given twice.  (Closes: #543059)
  * control: Increment S-V to 3.8.3.  No changes required.
  * rules: Remove obsolete --disable-nice option from *_CONFIG_PARAMS.
  * man/gromacs.7: Update macros for lintian cleanliness.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 25 Aug 2009 12:30:15 -0700

gromacs (4.0.5-3) unstable; urgency=low

  * patches/20_altivec_kernel.dpatch: Extend patch to cover
    nb_kernel_ppc_altivec.c, which does not include the same headers.
  * control: Increment Standards-Version to 3.8.2.  No packaging changes
    required.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 24 Jun 2009 17:21:26 -0700

gromacs (4.0.5-2) unstable; urgency=low

  * patches/20_altivec_kernel.dpatch: Resolve FTBFS on AltiVec-enabled
    PPC builds caused by use of "restrict" keyword, which GCC does not
    normally accept unless in C99 mode.  Reported upstream at
    http://bugzilla.gromacs.org/show_bug.cgi?id=324

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 17 May 2009 15:52:53 -0700

gromacs (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.8.1.  No packaging
    changes required.
  * debian/control: Replace svn+ssh:// URI with svn:// .
  * debian/copyright: Replace "(C)" with "Copyright", update dates.
  * debian/rules: #452047 rears its ugly head again!  Add LDFLAGS to -lam
    and -openmpi builds with -L arguments to their respective library
    directories, exclusive of update-alternatives trickery, in order to
    prevent accidental cross-linking.  Thanks again to Manuel Prinz.
    (Closes: #526266)

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 11 May 2009 18:15:11 -0700

gromacs (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * patches/05_lt_init.dpatch: Add LT_INIT to configure.ac so that the
    libtool script can find its version.  Necessary for current Ubuntu
    build environment.  Patch courtesy of James Westby.

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 28 Feb 2009 16:45:25 -0800

gromacs (4.0.3-1) unstable; urgency=low

  * New upstream release.
  * Remove obsoleted patches 40, 41, 50, 51, 52.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 19 Jan 2009 13:35:23 -0800

gromacs (4.0.2-2) unstable; urgency=low

  * debian/*.postinst: Resort update-alternatives priorities for the MPI
    packages to follow the newly proposed priorities of the individual
    MPI implementations themselves, OpenMPI > MPICH > LAM.
  * New patches:
    - 40_hppa_asm.dpatch: Attempt to correct FTBFS on HPPA
      inline ASM code by replacing an undefined variable.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=260)
    - 41_sprintf.dpatch: Replace sprintf calls relying on undefined
      behavior with proper, portable code.  Problem identified by Kees
      Cook: http://lists.debian.org/debian-devel/2008/12/msg01079.html
    - 50_type2bonds.dpatch: Fix grompp freeze when using type 2 bonds
      (G96) and all-angle constraints.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=261)
    - 51_mshift.dpatch: When running mdrun on multiple processors, it
      will crash under certain circumstances when an error is generated
      but there is no log file attached to that specific process.  This
      was triggered by some incorrect "inconsistent shift" warning
      messages.  Both problems are corrected by this patch.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=267)
    - 52_ia64_single_pointer.dpatch: Test for non-zero pointer in IA64
      single-precision kernel when writing to log file.  Pointer is
      zero on non-master MPI processes, and would previously segfault.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=262)
  * debian/rules: Use autoreconf in lieu of automake&&autoconf&&... to
    avoid version skew.  Thanks to James Westby for the patch.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 19 Jan 2009 10:42:26 -0800

gromacs (4.0.2-1) unstable; urgency=low

  * New upstream release.
    - Remove obsoleted debian/patches/50_confio.dpatch (fixed),
      10_manpages.dpatch (merged upstream).
  * debian/gromacs.README.Debian: suggest OpenMPI for new installations.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 10 Nov 2008 12:36:15 -0800

gromacs (4.0-1) unstable; urgency=low

  * New upstream release.
    - debian/man: Remove g_nmtraj.1, g_sdf.1, g_spatial.1 (incorporated
      upstream). Remove average.1 (no longer shipped). Update gromacs.7
      with changed commands and reference to new J. Chem. Theory Comput.
      paper.  Update mdrun_mpi.*.1 based on upstream mdrun.1.  Write new
      man pages xplor2gmx.1 and demux.1.
    - debian/lintian-overrides.gromacs: Update against new list of man
      pages.
    - debian/patches: Remove 05_autoconf_gsl.dpatch (fixed upstream) and
      40_missing_cpp.dpatch (preprocessor functionality now built in).
      Resynchronize 10_manpages.dpatch.  Add GROMACS 4 reference to
      11_readme.dpatch.
    - debian/rules: Remove g_ffscan renaming (no longer shipped).
  * debian/control: Drop versioned dependency on base-files.  Add Build-
    Depends on libtool.
  * debian/rules: Don't link MPI binaries to GSL, eliminating a spurious
    dependency.
  * patches/50_confio.dpatch: Avoid segfault when using make_ndx on .tpr
    files.  (cf.
    http://www.gromacs.org/pipermail/gmx-developers/2008-October/002775.html)

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 29 Oct 2008 15:44:28 -0700

gromacs (3.3.3-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/gromacs-data.doc-base (Section): Fixed accordingly to latest
    doc-base policy 0.8.10.

  [ Nicholas Breen ]
  * debian/README.source: add reference to dpatch system, as required by
    latest policy (sec. 4.14).  Having done so:
  * debian/control: Update Standards-Version to 3.8.0.
  * debian/rules: Remove obsolete and now-inaccurate comment about
    parallel builds.  Remove duplicated dh_installdeb call.
  * debian/man/g_kinetics.1: Update documentation.
  * debian/patches/05_autoconf_gsl.dpatch: libgsl was not properly
    detected by autoconf when the test didn't also link libgslcblas,
    rendering the g_kinetics program unusable.  This changes the test
    to pass along LIBS appropriately.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 20 Aug 2008 11:55:39 -0700

gromacs (3.3.3-2) unstable; urgency=low

  * debian/control: Eliminate unneeded Build-Depends on libxml-dev.
    Spotted by Pierre Habouzit.  (Closes: #470000)
  * debian/rules: Force --with-gsl in configuration.

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 08 Mar 2008 12:34:36 -0800

gromacs (3.3.3-1) unstable; urgency=low

  [ Nicholas Breen ]
  * New upstream release.
  * debian/rules, debian/control: Reconfigure gromacs-doc as gromacs-data.
    This moves all architecture independent files into a single package,
    including many topology files formerly shipped in gromacs instead.
    - Rename debian/*gromacs-doc* to debian/*gromacs-data* .
    - debian/gromacs-doc.preinst: no longer necessary, removed.
  * Remove PDF manual for the time being, as modifiable sources are not
    currently available.
    - debian/gromacs.README.Debian, debian/man/gromacs.7: Provide pointers
      to its location online instead.
    - debian/control: Drop build dependency on sharutils, which was used
      only to provide the manual.
    - debian/gromacs-data.doc-base: Remove reference to PDF.
  * debian/control: Add Build-Depends on libgsl0-dev to support addition
    of /usr/bin/g_kinetics.
  * debian/gromacs.README.Debian: Update suggested MPI implementations.
  * debian/man: write preliminary man pages for undocumented new commands,
    g_kinetics.1 g_spatial.1 g_sdf.1
  * debian/patches/10_manpages: Update with ROFF fixes to 18 files; fix a
    few minor typos; resync patch against upstream CVS.
  * debian/man/mdrun_mpi.{mpich,lam,openmpi}.1: Propagate those fixes.
  * debian/lintian-overrides.gromacs: Drop binary-without-manpage override.
  * debian/linda-overrides.gromacs, debian/rules: Remove linda override.

  [ Daniel Leidert ]
  * debian/man/average.1: Minor ROFF improvements, hyphen/minus and typo
    fixes.
  * debian/man/g_nmtraj.1: Ditto.
  * debian/man/luck.1: Ditto.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 03 Mar 2008 21:23:01 -0800

gromacs (3.3.3~pre1-1) unstable; urgency=low

  [ Nicholas Breen ]
  * New upstream release.
    - Remove obsolete patches now incorporated upstream:
      50_xtcio_double_range_checking, 51_180_degree_angle,
      52_pme_spline, 53_pbc_compiler.
  * debian/rules:
    - Clean up patch syntax to prevent double compilations.
    - Add .NOTPARALLEL target to prevent the various MPI builds from
      compiling on the same source tree simultaneously, while still
      allowing -j options to be passed to sublevel targets.
    - Improve DEB_BUILD_OPTIONS=parallel=X handling, now in line with
      the example proposed for policy.
    - Disable FORTRAN inner loops for gromacs-openmpi on alpha.  This
      is a temporary workaround to avoid lingering linking problems
      regarding libmpi.so and the update-alternatives system.
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Additional rewrite work (see below): use new format for build
      commands, but split for individual MPI implementations.
    - Run autotools between patch and configuration steps.
    - New format for MPI library suffix configuration.
  * debian/control:
    - Add versioned Build-Depends on libmpich1.0-dev for its
      g77 -> gfortran transition.
    - Add Build-Depends on autoconf and automake, and Build-Conflicts
      on autoconf2.13, to support updated mpisuffix patch.
    - Downgrade gromacs-doc Depends: on gromacs to a Recommends:, as -doc
      now ships its own copyright file.
  * debian/patches/04_autoconf_mpisuffix.dpatch: Apply dleidert's improved
    patch to allow arbitrary overrides of LIBSUFFIX; reduce patch to only
    the directly changed code in configure.ac, and add an invocation of
    autotools during the build process rather than patching configure
    itself directly.
  * debian/gromacs-{doc,dev}.preinst: Remove symlinks for package doc
    directories on upgrade, in order to replace them with actual directories.

  [ Daniel Leidert ]
  * debian/control (Suggests): Fixed a debcheck issue - gromacs-openmpi should
    only be suggested on supported architectures.
  * debian/copyright: Added copyright information to satisfy lintian.
  * debian/gromacs-doc.doc-base (Section): Fixed accordingly to menu policy.
    (Format): Fixed path to HTML files.
  * debian/rules: Major rewrite. Changes/improvements include:
    - drop dpatch target definitions in favour of dpatch.make
    - put all configure flags to the top of the file
    - moved all configure related commands into configure-stamp
    - moved all build related commands into build-stamp
    - moved all install related commands into separate install targets
    - configure and build in sub-directories to avoid $(MAKE) clean calls
    - clean target removes build/ instead to run clean/distclean
    - replaced ln with dh_link and gzip with dh_installman
    - adjusted target requirements for binary* and install*
    - install a /usr/share/doc/$package directory for gromacs-doc and -dev
      too; put the HTML into the -doc documentation directory; add links to
      the HTML directory for the gromacs and the -dev package pointing to the
      -doc directory
    - fixed .PHONY target for above
  * debian/watch: Added pre-release version handling.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 13 Feb 2008 15:01:50 -0800

gromacs (3.3.2-3) unstable; urgency=low

  * Package transferred to Debichem team maintenance.
  * debian/control:
    - Switched Maintainer to Debichem Team, moved myself to
      Uploaders.  Added Vcs-Browser, Vcs-Svn fields.
    - Increase Standards-Version to 3.7.3.  No changes required.
    - Build-Depend on libopenmpi-dev >= 1.2.4-5 (Closes: #456860).
  * debian/rules: include kfreebsd-* variants explicitly in OPENMPI_ARCH.
  * debian/patches/11_readme.dpatch: change edited README to an explicit
    patch, rather than modifying it directly in the .diff.gz.
  * Multiple bugfixes from upstream CVS:
    - 51_180_degree_angle.dpatch: apply upstream patches to avoid crashes
      crashes when operating on precisely linear 2-bond pairs.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=172,
           http://bugzilla.gromacs.org/show_bug.cgi?id=177)
    - 52_pme_spline.dpatch: calculate mesh contribution when charges
      are 0 in A state, but non-zero in B state.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=175)
    - 53_pbc_compiler: Solve regression in gmxlib/pbc.c introduced by a
      previous compiler workaround.
      (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=179)
  * debian/gromacs-doc.doc-base: remove extraneous spaces.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 26 Dec 2007 12:26:09 -0800

gromacs (3.3.2-2) unstable; urgency=low

  * Add support for OpenMPI with new "gromacs-openmpi" binary package.
    Thanks to Manuel Prinz for assistance.  (Closes: #448635)
  * Build binaries for double-precision floating point operations, in
    addition to the existing single-precision binaries.  Double precision
    commands are denoted by a "_d" suffix.
  * debian/control: Update feature summary URL in package description,
    and add Homepage field.
  * Reformat all man page headers to work with whatis(1), apropos(1), and
    similar tools.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 13 Nov 2007 13:03:22 -0800

gromacs (3.3.2-1) unstable; urgency=low

  * New upstream release.  (Closes: #446760)
    - Incorporates fix for amd64 double-precision builds.
      (Closes: #442886)
    - Remove obsolete patches 50_gmx_order, 51_libxdrf_trajectory,
      52_genion_compiler_workaround, 60_amd64_double.
  * Add a Recommends: cpp to gromacs binary package, and improve the error
    message given by grompp when no preprocessor is installed to clarify
    the "-pp" option.  (Closes: #442139)
  * Update Build-Depends to reflect fftw3-dev -> libfftw3-dev renaming.
  * Conflict with radiance (<= 3R8+20070924.dfsg-1) due to overlapping
    /usr/bin/genbox.  Related to #446726, which will be closed by a
    future upload of radiance.
  * src/gmxlib/xtcio.c: import upstream fix for range checking failures
    when running both parallel and double-precision simulations.  (cf.
    http://www.gromacs.org/pipermail/gmx-users/2007-October/029990.html)

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 15 Oct 2007 14:39:30 -0700

gromacs (3.3.1-7) unstable; urgency=low

  * debian/rules: correct typo that broke alpha builds.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 11 Sep 2007 12:23:52 -0700

gromacs (3.3.1-6) unstable; urgency=low

  * Update alpha Build-Depends from g77 to gfortran, and set F77 variable
    in debian/rules accordingly.
  * Increase update-alternatives priority of mdrun_mpi.lam to 20.
  * src/tools/gmx_xpm2ps.c: explicitly initialize 'ninp' to 0 to work
    around a peculiar compiler/shared-library/i386 bug.  (Closes: #428795)
  * debian/copyright: clarify license as GPL v2 or later.  Add Depends: on
    base-files (>=4.0.1) until the next release to ensure that the GPL v3
    license text is installed as well.  (Closes: #435208)
  * When building from source, two DEB_BUILD_OPTIONS are available:
    - "parallel" adds -j4 to the make flags.
    - "double" will compile binaries for both single-precision (the
       default) and double-precision (with _d suffix) floating point
       operations.
  * Minor packaging cleanups: set debhelper compatibility level to 5,
    clarify versioned dependencies for -doc and -dev packages, improve
    "make clean" error handling, clean up lintian overrides.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 10 Sep 2007 17:29:10 -0700

gromacs (3.3.1-5) unstable; urgency=low

  * Workaround for compiler problems on some platforms that could cause
    genion to hang in an infinite loop when using cubic boxes.
    (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=108)
  * Eliminate spurious mdrun warnings when using triclinic boxes.
    (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=121)

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 10 Apr 2007 17:08:02 -0700

gromacs (3.3.1-4) unstable; urgency=medium

  * Rename /usr/bin/ffscan to g_ffscan, resolving a filename conflict with
    the 'forutil' package.  (Closes: #403879)

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 23 Dec 2006 11:24:59 -0800

gromacs (3.3.1-3) unstable; urgency=low

  * Update URL to features list in package description.  (Closes: #393750)
  * Correct deuterium order parameter generation in src/tools/g_order.c.
    (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=84)
  * Patch src/gmxlib/libxdrf.c to eliminate errors when the specified time
    for a search inside a trajectory falls on a frame boundary.
    (cf. http://bugzilla.gromacs.org/show_bug.cgi?id=106)

 -- Nicholas Breen <nbreen@ofb.net>  Wed,  6 Dec 2006 11:04:01 -0800

gromacs (3.3.1-2) unstable; urgency=low

  * _Really_ register gromacs-doc with doc-base.  (The previous attempt
    contained an error.)  Thanks again to Drew Parsons.
    (Closes: #359999)
  * Update Standards-Version to 3.7.2.  No packaging changes required.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 26 Sep 2006 15:21:48 -0700

gromacs (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Updated PDF manual to 3.3 release.
  * disco(1) is no longer shipped, so it no longer needs renaming.

 -- Nicholas Breen <nbreen@ofb.net>  Thu, 13 Apr 2006 15:53:29 -0700

gromacs (3.3-2) unstable; urgency=low

  * Adding Build-Depends on g77 for alpha only.  (No other architectures
    use FORTRAN inner loops by default.)  (Closes: #360486)
  * Recategorizing to different parts of archive: gromacs-doc to 'doc',
    gromacs-dev to 'devel'.
  * Correct implicit pointer size declaration in src/mdlib/ghat.c, which
    could lead to segfaults on 64-bit architectures.  Thanks to Dann
    Frazier for catching it.  (Closes: #360002)
  * Registered gromacs-doc with doc-base.  Patch courtesy of Drew Parsons.
    (Closes: #359999)
  * Renaming /usr/bin/disco to g_disco, to avoid filename conflict with
    mono-mcs.  (Closes: #360374)

 -- Nicholas Breen <nbreen@ofb.net>  Mon,  3 Apr 2006 09:50:44 -0700

gromacs (3.3-1) unstable; urgency=low

  * Initial Debian release.  (Closes: #228319, #252101)

 -- Nicholas Breen <nbreen@ofb.net>  Thu, 16 Mar 2006 23:00:13 -0800

